Bug 764854 - (GLUSTER-3122) Provide option to support io-threads in the client stack
Provide option to support io-threads in the client stack
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.1.4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: shishir gowda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-04 02:30 EDT by Vijay Bellur
Modified: 2013-12-08 20:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2011-07-04 02:30:59 EDT
Volume set interface needs to be enhanced to support io-threads on the client stack.
Comment 1 Anand Avati 2011-07-29 01:24:40 EDT
CHANGE: http://review.gluster.com/105 (New set option performance.client-io-threads added to enable/disable it.) merged in master by Anand Avati (avati@gluster.com)
Comment 2 Anand Avati 2011-08-01 01:13:41 EDT
CHANGE: http://review.gluster.com/134 (New set option performance.client-io-threads added to enable/disable it.) merged in release-3.1 by Anand Avati (avati@gluster.com)
Comment 3 Anand Avati 2011-08-01 01:13:53 EDT
CHANGE: http://review.gluster.com/135 (New set option performance.client-io-threads added to enable/disable it.) merged in release-3.2 by Anand Avati (avati@gluster.com)
Comment 4 Raghavendra Bhat 2011-08-09 22:50:59 EDT
Checked with release-3.2 git head 62adb4d1c204104314e8d1d843dc8ca6c498dc55. gluster volume set <volname> client-io-threads on/off will load/remove the io-threads xlator in the client volfile. Upon enabling io-threads is loaded below io-stats in the client graph.

Note You need to log in before you can comment on or make changes to this bug.